/* File : Fl_Gl_Window.i */
//%module Fl_Gl_Window

%feature("docstring") ::Fl_Gl_Window
"""
The Fl_Gl_Window widget sets things up so OpenGL works, and also keeps an 
OpenGL 'context' for that window, so that changes to the lighting and 
projection may be reused between redraws. Fl_Gl_Window also flushes the 
OpenGL streams and swaps buffers after draw()  returns.

OpenGL hardware typically provides some overlay bit planes, which are very 
useful for drawing UI controls atop your 3D graphics. If the overlay hardware 
is not provided, FLTK tries to simulate the overlay, This works pretty well 
if your graphics are double buffered, but not very well for single-buffered. 
""" ;

%feature("nodirector") Fl_Gl_Window::show;

%{
#include "FL/Fl_Gl_Window.H"
%}

%include "macros.i"

CHANGE_OWNERSHIP(Fl_Gl_Window)

%include "WindowShowTypemap.i"

// override method show
%extend Fl_Gl_Window {
	MACRO_WINDOW_SHOW
}

// ignore original declaration
%ignore Fl_Gl_Window::show();
%ignore Fl_Gl_Window::show(int argc, char** argv);

%include "FL/Fl_Gl_Window.H"